/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/AdjustmentListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/AdjustmentEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Adjustment
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Adjustment Example");
      jf.setVisible(true);

      Scrollbar sbV = new Scrollbar(Scrollbar.VERTICAL,   50, 2, 0, 100);
      Scrollbar sbH = new Scrollbar(Scrollbar.HORIZONTAL, 50, 2, 0, 100);
      sbV.addAdjustmentListener(new AdjListener());
      sbH.addAdjustmentListener(new AdjListener());
      jf.add(sbV, BorderLayout.EAST );
      jf.add(sbH, BorderLayout.SOUTH );
   }
}


class AdjListener implements AdjustmentListener
{
   public void adjustmentValueChanged(AdjustmentEvent e){System.out.println(e);}
}
