/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/ItemListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/ItemEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Item
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Item Example");
      jf.setVisible(true);

      JComboBox<String> combobox = new JComboBox<>();
      combobox.addItem("Item 1");
      combobox.addItem("Item 2");
      combobox.addItem("Item 3");
      combobox.addItemListener(new IListener());
      jf.add(combobox);
   }
}

class IListener implements ItemListener
{
   public void itemStateChanged(ItemEvent e){System.out.println(e);}
}
